Package org.duckdb

## Class DuckDBResultSet.DuckDBBlobResult

- java.lang.Object
- - org.duckdb.DuckDBResultSet.DuckDBBlobResult

All Implemented Interfaces:
  `java.sql.Blob`

Enclosing class:
  DuckDBResultSet

    public static class DuckDBResultSet.DuckDBBlobResult
    extends java.lang.Object
    implements java.sql.Blob

### Constructor Summary

Constructors
`DuckDBBlobResult​(java.nio.ByteBuffer buffer_p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`void` `free()`
`java.io.InputStream` `getBinaryStream()`
`java.io.InputStream` `getBinaryStream​(long pos, long length)`
`byte[]` `getBytes​(long pos, int length)`
`int` `hashCode()`
`long` `length()`
`long` `position​(byte[] pattern, long start)`
`long` `position​(java.sql.Blob pattern, long start)`
`java.io.OutputStream` `setBinaryStream​(long pos)`
`int` `setBytes​(long pos, byte[] bytes)`
`int` `setBytes​(long pos, byte[] bytes, int offset, int len)`
`java.lang.String` `toString()`
`void` `truncate​(long length)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuckDBBlobResult

    public DuckDBBlobResult​(java.nio.ByteBuffer buffer_p)

### Method Detail

#### getBinaryStream

    public java.io.InputStream getBinaryStream()

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`

#### getBinaryStream

    public java.io.InputStream getBinaryStream​(long pos,
                                               long length)

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`

#### getBytes

    public byte[] getBytes​(long pos,
                           int length)

Specified by:
  `getBytes` in interface `java.sql.Blob`

#### position

    public long position​(java.sql.Blob pattern,
                         long start)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### position

    public long position​(byte[] pattern,
                         long start)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### length

    public long length()

Specified by:
  `length` in interface `java.sql.Blob`

#### free

    public void free()

Specified by:
  `free` in interface `java.sql.Blob`

#### setBinaryStream

    public java.io.OutputStream setBinaryStream​(long pos)
                                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### truncate

    public void truncate​(long length)
                  throws java.sql.SQLException

Specified by:
  `truncate` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBytes

    public int setBytes​(long pos,
                        byte[] bytes)
                 throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBytes

    public int setBytes​(long pos,
                        byte[] bytes,
                        int offset,
                        int len)
                 throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`